[next] [prev] [prev-tail] [tail] [up]

### 8.9 rstconv program

The rstconv program converts the resource string files generated by the compiler (when you use resource string sections) to .po files that can be understood by the GNU msgfmt program.

Its usage is very easy; it accepts the following options:

-i file
  Use the specified file instead of stdin as input file. This option is optional.
-o file
  Write output to the specified file. This option is required.
-f format
  Specify the output format. At the moment, only one output format is supported: po for GNU gettext .po format. It is the default format.

As an example:

rstconv -i resdemo.rst -o resdemo.po

will convert the resdemo.rst file to resdemo.po.

More information on the rstconv utility can be found in the Programmer’s Guide, under the chapter about resource strings.

[next] [prev] [prev-tail] [front] [up]